Skip to content
Back to top
View this page

# `incus publish`

Publish instances as images

## Synopsis

[96;1;4mDescription:[0;22;24m
Publish instances as images

    incus publish [2m[[22m[32m<remote>[0m:[2m][22m[32m<instance>[0m[2m[[22m/[32m<snapshot>[0m[2m][22m [2m[[22m[32m<remote>[0m:[2m][22m [2m[[22m[32m<key>[0m=[32m<value>[0m[2m...[22m[2m][22m [flags]

## Options

          --alias              New alias to define at target
          --compression none   Compression algorithm to use (none for uncompressed)
          --expire             Image expiration date (format: rfc3339)
      -f, --force              Stop the instance if currently running
          --format             Image format (default "unified")
          --public             Make the image public
          --reuse              If the image alias already exists, delete and create a new one

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus - Command line client for Incus